#include <stdio.h>
#include <math.h>
#include <string.h>
#include <stdlib.h>
#include <dislin.h>
/* program name 'dislinfb.c' 
 October 2005
 concerning the header of dislin-8.4.

 by Hans L. Nemeschkal, Department of Theoretical Biology, University of Vienna, Althanstrasse 14, A-1090 Vienna, Austria, European Union

 Hans.Leo.Nemeschkal@univie.ac.at
 */


/* To avoid name conflicts between some original names of dislin routines and FreeBASIC-keywords,
the additional C-routine (dislinfb.c) has been written comprising all the necessary circumvention calls.
A static C-library can be generated with the GNU C compiler for Linux and Windows 9x (e.g., gcc of MinGW) in a quite similar way:

(1) a) Linux:      gcc -c dislinfb.c -I/usr/local/dislin
    b) Windows 9x: gcc -c dislinfb.c -IC:\dislin
    As the result, the objectfile dislinfb.o will be built. Note that the C-header dislin.h must be found by the compiler!
(2) ar -r libdislinfb.a dislinfb.o
    The result is the static library libdislinfb.a
*/
/* prototype - routine for test purposes +++ */
void eigenbau(float x, float y);

/* circumvention calls for dislin - prototypes */
void dcircle(int nx, int ny, int nr);
void dcolor(char *col);
void derase(void);
void dfield(float *xray, float *yray, float *uray, float *vray, int n, int ivec);
void dgetgrf (float *a, float *e, float *org, float *dstep, char *cax);
void dline(int nx, int ny, int nu, int nv);
void dname(char *cstr, char *cax);
void dpoint(int nx, int ny, int nb, int nh, int ncol);
void dreset(char *cname);
void dsymbol (int nsym, int nx, int ny);
void dwindow (int nx, int ny, int nw, int nh);


/* routine for test purposes +++ */
void eigenbau(float x, float y)
{
	printf("hello test person !");
	printf(" %f\n",x);
	printf("   %f\n",y);
}
/*                           +++ */

void dcircle(int nx, int ny, int nr)
{
 	circle(nx,ny,nr);
}

void dcolor(char *col)
{
        color(col);
}

void derase(void)
{
	erase( );
}

void dfield(float *xray, float *yray, float *uray, float *vray, int n, int ivec)
{
	field(xray,yray,uray,vray,n,ivec);
}

void dgetgrf (float *a, float *e, float *org, float *dstep, char *cax)
{
	getgrf (a,e,org,dstep,cax);
}

void dline(int nx, int ny, int nu, int nv)
{
        line(nx,ny,nu,nv);
}

void dname(char *cstr, char *cax)
{
	name(cstr,cax);
}

void dpoint(int nx, int ny, int nb, int nh, int ncol)
{
   	point(nx,ny,nb,nh,ncol);
}

void dreset(char *cname)
{
        reset(cname);
}
void dsymbol (int nsym, int nx, int ny)
{
        symbol (nsym,nx,ny);
}

void dwindow (int nx, int ny, int nw, int nh)
{
        window (nx,ny,nw,nh);
}



